// pages/searchRoom/searchRoom.js
const util = require('../../utils/util.js');
const api = require('../../config/api.js');
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {

    searchKey: '',
    roomList: [],
    storeList: [],
    isSearch: false,
    loading: false,
    fetcherData: {
      type: null,
      address: app.globalData.city,
      page: 1,
      size: 100,
      name: ''
    }
  },
  gotoWV: function (event) {
    let id = event.detail
    wx.navigateTo({
      url: `/pages/webview/index?id=${id}`,
    })
  },
  inputChange(e) {
    this.setData({
      'fetcherData.name': e.detail.value,
    });
  },
  search() {
    if (this.data.fetcherData.name != '') {
      wx.showLoading({
        title: '加载中...',
      });
      // console.log(this.data.searchKey)
      this.setData({
        isSearch: true
      })
      this.getRoomList()
    } else {
      wx.showToast({
        title: '请输入VR场景名称',
        icon: 'none'
      })

    }

  },

  getRoomList() {
    if (this.data.fetcherData.type == '21') { //商家
      this.setData({
        'fetcherData.address': '',
      })
    } else {
      if (app.globalData.city == '全国') {
        this.setData({
          'fetcherData.address': '',
        })
      } else {
        this.setData({
          'fetcherData.address': app.globalData.city,
        })
      }
    }
    if (!this.data.loading) {
      this.setData({
        loading: true
      })
      util.request(api.BrandList, this.data.fetcherData).then((res) => {
        this.setData({
          loading: false
        })
        wx.hideLoading()
        if (res.errno === 0) {

          if (this.data.fetcherData.type == '21') {

            this.setData({
              storeList: res.data.data,
            })
          } else {

            this.setData({
              roomList: res.data.data,
            })
          }


        }
      }).catch(err => {
        this.setData({
          loading: false1
        })
      });
    }

  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    getApp().checkNetStatu();
    this.setData({
      'fetcherData.type': options.type || 21
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})